Bug 321899 - crash during large import
Summary: crash during large import
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-IconView (show other bugs)
Version: 3.1.0
Platform: Microsoft Windows Microsoft Windows
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-03 11:56 UTC by collord
Modified: 2017-08-16 10:54 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments
New crash information added by DrKonqi (68.22 KB, text/plain)
2014-06-04 13:30 UTC, Wilfried Blankertz
Details
New crash information added by DrKonqi (31.76 KB, text/plain)
2014-06-22 20:42 UTC, cmdr.harlock
Details

Note You need to log in before you can comment on or make changes to this bug.
Description collord 2013-07-03 11:56:13 UTC
Application: digikam (3.1.0)
KDE Platform Version: 4.10.2
Qt Version: 4.8.4
Operating System: WindowsNT Windows 7 i686

-- Information about the crash:
- What I was doing when the application crashed:

First time importing, importing a large number of .NEF raw files. Laptop put to sleep and crash appeared on wake.

-- Backtrace:
Application: digiKam (digikam.exe), signal: EXCEPTION_ACCESS_VIOLATION


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x7787013d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x753b1a2c
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x753b4220
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x66044313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x65f77ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x65f776fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x7787013d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x753b1a2c
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x753b4220
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x66044313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x65f77ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x65f776fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x7786f8b1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x753b1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x753b1148
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x707e4111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x707e708e
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x7786f8b1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x753b1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x753b1148
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x7787013d
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


QtOpenGL4.dll!QGLContext::bindTexture() [[unknown] @ -1] at 0x5750572f
QtOpenGL4.dll!QGLWidget::convertToGLFormat() [[unknown] @ -1] at 0x57508028
QtOpenGL4.dll!QGLWidget::event() [[unknown] @ -1] at 0x575076fa
QtGui4.dll!QApplicationPrivate::notify_helper() [[unknown] @ -1] at 0x64b904cd
kdeui.dll!QList<KSortableItem<QString,int> >::value() [[unknown] @ -1] at 0x61958c10
USER32.dll!gapfnScSendMessage() [[unknown] @ -1] at 0x75546b34
USER32.dll!gapfnScSendMessage() [[unknown] @ -1] at 0x75546b00
USER32.dll!gapfnScSendMessage() [[unknown] @ -1] at 0x75546b00
QtGui4.dll!QInputContext::standardFormat() [[unknown] @ -1] at 0x6502de26
QtGui4.dll!QApplication::winFocus() [[unknown] @ -1] at 0x64bed359
QtGui4.dll!QApplication::winFocus() [[unknown] @ -1] at 0x64bed374
kdeui.dll!QList<KSortableItem<QString,int> >::value() [[unknown] @ -1] at 0x61b0931b
USER32.dll!ClientToScreen() [[unknown] @ -1] at 0x75552635
QtGui4.dll!QApplication::winFocus() [[unknown] @ -1] at 0x64beb7c9
QtCore4.dll!QMetaObject::activate() [[unknown] @ -1] at 0x66074c0c
QtCore4.dll!QCoreApplicationPrivate::sendThroughApplicationEventFilters() [[unknown] @ -1] at 0x660605cf
QtGui4.dll!QApplicationPrivate::notify_helper() [[unknown] @ -1] at 0x64b904cd
USER32.dll!GetThreadDesktop() [[unknown] @ -1] at 0x75546d3a
USER32.dll!GetClientRect() [[unknown] @ -1] at 0x75550d27
USER32.dll!CallWindowProcW() [[unknown] @ -1] at 0x75550d4d
OPENGL32.dll!wglSwapBuffers() [[unknown] @ -1] at 0x574760fb
USER32.dll!gapfnScSendMessage() [[unknown] @ -1] at 0x755462fa
USER32.dll!GetThreadDesktop() [[unknown] @ -1] at 0x75546d3a
USER32.dll!CharPrevW() [[unknown] @ -1] at 0x755477c4
USER32.dll!DispatchMessageW() [[unknown] @ -1] at 0x7554788a
QtCore4.dll!QEventDispatcherWin32::processEvents() [[unknown] @ -1] at 0x66087339
QtGui4.dll!qt_getRegisteredWndClass() [[unknown] @ -1] at 0x64bea59f
QtCore4.dll!QCoreApplication::exec() [[unknown] @ -1] at 0x660608cc
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x457c71
[unknown]![unknown]() [[unknown] @ -1] at 0x6bad0a2f
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x6e1168
[unknown]![unknown]() [[unknown] @ -1] at 0x15ca2f0
[unknown]![unknown]() [[unknown] @ -1] at 0x119fae4


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x7786f8b1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x753b1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x753b1148
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x65f7881b
digikamlib.dll!Digikam::BlurFXFilter::BlurFXFilter() [[unknown] @ -1] at 0x5e65335d
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x65f77709
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x65c1c556
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x65c1c600
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


ntdll.dll!NtRemoveIoCompletion() [[unknown] @ -1] at 0x7786f939
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x7786f8b1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x753b1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x753b1148
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x65f7881b
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x65f77709
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x65c1c600
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x7787013d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x753b1a2c
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x753b4220
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x66044313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x65f77ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x65f776fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x7787013d
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


ntdll.dll!ZwWaitForWorkViaWorkerFactory() [[unknown] @ -1] at 0x77871f26
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x7786f8b1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x753b1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x753b1148
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x707e4111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x707e708e
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x7786f8b1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x753b1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x753b1148
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x707e4111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x707e708e
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x753b33aa
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ef2
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77889ec5

Possible duplicates by query: bug 312422, bug 308393.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-11-08 14:58:27 UTC
We need a suitable backtrace to fix the problem... Look here for details ;

http://techbase.kde.org/Development/Tutorials/Debugging/Debugging_on_MS_Windows

Gilles Caulier
Comment 2 Wilfried Blankertz 2014-06-04 13:30:31 UTC
Created attachment 87005 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

First time importing a large folder structure with 90,000+ JPG

-- Backtrace (Reduced):
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x504a4313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x503d7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x503d76fd
[...]
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x504a4313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x503d7ddd
Comment 3 cmdr.harlock 2014-06-22 20:42:00 UTC
Created attachment 87331 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

 import large archive of photos, jgp and raw files

Windows 7 home

-- Backtrace (Reduced):
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x69444313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x69377ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x693776fd
[...]
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x69444313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x69377ddd
Comment 4 caulier.gilles 2014-06-22 20:43:47 UTC
Try my new Windows installer for digiKam 4.1.0 (unofficial) :

https://drive.google.com/file/d/0B7yq-xFihT0_TTZTaXlUaExlaWs/edit?usp=sharing

Gilles Caulier
Comment 5 Wilfried Blankertz 2014-06-23 13:35:11 UTC
Gilles, thanks for the information.

After installing digiKam 4.1.0 and trying to run it, I received error 
message "The program can't tsart because MSVCP100D.dll is missing ..."

mit freundlichen Grüßen
Wilfried Blankertz

On 22.06.2014 22:43, Gilles Caulier wrote:
> https://bugs.kde.org/show_bug.cgi?id=321899
>
> --- Comment #4 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Try my new Windows installer for digiKam 4.1.0 (unofficial) :
>
> https://drive.google.com/file/d/0B7yq-xFihT0_TTZTaXlUaExlaWs/edit?usp=sharing
>
> Gilles Caulier
>
Comment 6 caulier.gilles 2014-06-24 08:01:54 UTC
Right installer has non debug DLL. I fix it and reload file today...

Gilles Caulier
Comment 7 caulier.gilles 2014-06-24 11:50:56 UTC
4.1.0 windows installer is now updated. Please try again :

 https://drive.google.com/file/d/0B7yq-xFihT0_TTZTaXlUaExlaWs/edit?usp=sharing

Gilles Caulier
Comment 8 caulier.gilles 2015-06-22 21:54:11 UTC
Git commit ad8538938371ec4152450c661b1857f8441e3af8 by Maik Qualmann.
Committed on 19/06/2015 at 21:01.
Pushed by mqualmann into branch 'master'.

fixes the model initialisation from the icon view and thumb bar of the import
window
Related: bug 349280
FIXED-IN: 4.12.0

M  +3    -1    NEWS
M  +1    -7    utilities/importui/main/importui.cpp
M  +7    -3    utilities/importui/views/importiconview.cpp
M  +0    -2    utilities/importui/views/importiconview.h
M  +11   -20   utilities/importui/views/importstackedview.cpp
M  +0    -1    utilities/importui/views/importstackedview.h
M  +3    -12   utilities/importui/views/importview.cpp
M  +1    -1    utilities/importui/views/importview.h

http://commits.kde.org/digikam/ad8538938371ec4152450c661b1857f8441e3af8